/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2017-12-22 11:24:53
-- Описание ревизии 19798 для информатора
set @user_id=(select id from Person where login='Админ'); insert into InformerMessage (`createDateTime`, `createPerson_id`, `modifyDatetime`, `deleted`, `subject`, `text`, `isRevisionInfo`)
 VALUES (NOW(), @user_id, NOW(), 0, 'Ревизия 19798', '<p>1. Внесены уточнения в отображение значений справочника &laquo;Тезаурус&raquo; при заполнении свойств с типом &laquo;Constructor&raquo; в формах ввода.<br />
2. Внесены уточнения в реализацию функции client.ageOnDate() при вызове её в шаблонах печати.<br />
3. Реализован режим экспорта реестра счета по диспансеризации &laquo;Калмыкия (диспансеризация)&raquo; в соответствии с текущими требованиями информационного обмена ТФОМС Калмыкии.<br />
4. Реализована передача данных о номере ЕИР в направлениях на госпитализацию для сервиса &laquo;Управление очередями&raquo; в соответствии с текущими требованиями информационного обмена ТФОМС и МИАЦ Архангельской области.<br />
5. Внесены уточнение в правила формирования данных малой сводки для сервиса &laquo;АСОВ-03&raquo;.<br />
6. Реализован новый отчет &laquo;Отчет о выдаче ЛС на заданный период&raquo; (Анализ. Аналитические отчеты. Учет ЛСиИМН).<br />
7. Реализован интерфейс оперативного ввода шифра МКБ в режиме &laquo;Стационарный монитор&raquo; на вкладке &laquo;Поступили&raquo;. Добавлено новое право: &lsquo;wHBEditReceivedMKB&rsquo; &mdash; Право на изменение шифра МКБ, свойств &laquo;Диагноз направившего учреждения&raquo;.<br />
8. Внесены уточнения в реализацию прав &laquo;Право редактирования &laquo;чужих&raquo; Действий&raquo; (editOtherpeopleAction) и &laquo;Право на использование шаблонов Действий&raquo; (loadActionTemplate).<br />
9. Внесены уточнения в правила отображения данных о пациентах на вкладке &laquo;Присутствуют&raquo; в заданном периоде.<br />
10. Реализована возможность вывода на печать требований МЭС в шаблонах печати. Доступные параметры:<br />
Код &mdash; {event.mes.code}<br />
Наименование &mdash; {event.mes.name}<br />
Описание &mdash; {event.mes.descr}<br />
Сервис &mdash; {event.mes.service}<br />
Признак активности &mdash; {event.mes.active}<br />
Признак внутренний это МЭС или нет &mdash; {event.mes.internal}<br />
Группа &mdash; {event.mes.group}<br />
Минимальная длительность &mdash; {event.mes.min}<br />
Максимальная длительность &mdash; {event.mes.max}<br />
Средняя длительность &mdash; {event.mes.avg}<br />
Модель пациента &mdash; {event.mes.patientModel}<br />
Норматив визитов &mdash; {event.mes.norm}<br />
Периодичность в днях &mdash; {event.mes.periodicity}<br />
Группа КСГ- {event.mes.ksg}<br />
Дата окончания действия &mdash; {event.mes.endDate}<br />
Признак Политравма &mdash; {event.mes.isPolyTrauma}<br />
Заболевания, входящие в МЭС (в формулировках МКБ):<br />
{for: i, mkb in enumerate(event.mes.MKB)}<br />
Код диагноза по МКБ &mdash; {mkb.code}<br />
Наименование МКБ &mdash; {mkb.name}<br />
Код доп. диагноза по МКБ &mdash; {mkb.exCode}<br />
Наименование доп. диагноза по МКБ &mdash; {mkb.exName}&lt;br&gt;{mkb.grouping}<br />
Сочетаемость (0-основной и дополнительный,1-основной,2-дополнительный) &mdash; {mkb.blending}<br />
{end:}<br />
Оказанные услуги (мероприятия):<br />
{for: i, serviceType in enumerate(event.mes.serviceTypes)}<br />
Код группировки услуг &mdash; {serviceType.groupCode}&lt;br&gt;<br />
Наименование группировки услуг &mdash; {serviceType.groupName}<br />
Код услуги &mdash; {serviceType.code}<br />
Наименование услуги &mdash; {serviceType.name}<br />
УЕТ врача &mdash; {serviceType.doctorWTU}<br />
УЕТ средний &mdash; {serviceType.paramedicalWTU}<br />
Среднее кол-во предоставления услуги (кратность) пациенту за период госпитализации &mdash; {serviceType.averageQnt}<br />
Частота предоставления услуги (потребность) в рамках настоящего стандарта &mdash; {serviceType.necessity}<br />
Признак объединения услуг в единую технологическую совокупность &mdash; {serviceType.binding}<br />
Пол (0-не определено, 1-М, 2-Ж) &mdash; {serviceType.sex}<br />
Применимо для минимального возраста (0-любой, 1-Д, 2-Н, 3-М, 4-Г) &mdash; {serviceType.begAgeUnit}<br />
Минимальный возраст (yy-mm-dd) &mdash; {serviceType.minimumAge}<br />
Применимо для максимального возраста (0-любой, 1-Д, 2-Н, 3-М, 4-Г) &mdash; {serviceType.endAgeUnit}<br />
Максимальный возраст (yy-mm-dd) &mdash; {serviceType.maximumAge}<br />
Период контроля (0-Текущая дата, 1-Конец текущего года, 2-Конец предыдущего года) &mdash; {serviceType.controlPeriod}<br />
{end:}<br />
Услуги лечащего и консультирующего врача (ВИЗИТЫ):<br />
{for: i,visit in enumerate(event.mes.visitTypes)}<br />
Наименование = {visit.name}<br />
Наименование специальности = {visit.specialityName}<br />
Услуга = {visit.serviceCode}<br />
Дополнительный код услуги = {visit.additionalServiceCode}<br />
Альтернативный доп. код = {visit.altAdditionalServiceCode}<br />
Группировка визитов = {visit.groupCode}<br />
Среднее кол-во визитов (кратность) за период госпитализации = {visit.averageQnt}<br />
Пол (0-не определено, 1-М, 2-Ж) = {visit.sex}<br />
Применимо для минимального возраста (0-любой, 1-Д, 2-Н, 3-М, 4-Г) = {visit.begAgeUnit}<br />
Минимальный возраст (yy-mm-dd) = {visit.minimumAge}<br />
Применимо для максимального возраста (0-любой, 1-Д, 2-Н, 3-М, 4-Г) = {visit.endAgeUnit}<br />
Максимальный возраст (yy-mm-dd) = {visit.maximumAge}<br />
Период контроля (0-Текущая дата, 1-Конец текущего года, 2-Конец предыдущего года) = {visit.controlPeriod}<br />
{end:}<br />
11. Реализован контроль возможности выполнения функций &laquo;Перевод&raquo; и &laquo;Выписка&raquo; в режиме &laquo;Стационарный монитор&raquo; на вкладке &laquo;Присутствуют&raquo;.<br />
12. В условия формирования отчета &laquo;Сводка на врача&raquo; (Анализ. Посещаемость) добавлен параметр &laquo;Отображать предварительные диагнозы&raquo;.<br />
13. Внесены уточнения в правила формирования данных колонок 10 и 11 отчета &laquo;Отчёт для МИАЦ&raquo; (Анализ. Аналитические отчёты).<br />
14. В сервисе &laquo;Оповещения&raquo; добавлена функция отправления оповещений через мессенжер Viber.<br />
15. Добавлен вывод колонки &laquo;МНН на латыни&raquo; при назначении ЛС пациенту, также реализован поиск по этому параметру.<br />
16. В режиме &laquo;Выполнение работ&raquo; для списка направлений (Талон на Работу) добавлен вывод параметра &laquo;Номер документа&raquo;, который соответствует параметру &laquo;Номер документа&raquo; форм ввода.<br />
17. Внесены уточнения в реализацию утилиты importNomenclature, которая позволяет проводить импорт складских документов из внешней складской системы.<br />
18. Внесены уточнения в реализацию интеграционного модуля с сервисом &laquo;Направление на отборочную комиссию&raquo; (ТФОМС СПб. АИС ИНФОРМ).<br />
19. Внесены изменения в реализацию интеграционного модуля с сервисом РЕГИСЗ.УО для Архангельской области.<br />
20. Внесены уточнения в реализацию механизма блокировок при одновременном обращении разных пользователей к одним данным.<br />
21. Внесены уточнения в формирование отчета &laquo;Форма 39-2&raquo; (Анализ. Статистические. Отчет по работе стоматолога).<br />
22. Реализован новый контекст печати &laquo;homeOrder&raquo; для печати направлений со вкладки &laquo;На дому&raquo; режима &laquo;График&raquo;. Параметры контекста аналогичны параметрам контекста &laquo;ambOrder&raquo;<br />
23. Внесены уточнения в отображение списка номерков при фильтрации по подразделению в случае ручного назначения номерка на Работу (Направление).<br />
24. Реализован режим экспорта реестра счета по ВМП &laquo;Калмыкия (ВМП)&raquo; в соответствии с текущими требованиями информационного обмена ТФОМС Калмыкии.<br />
25. Исключен контроль заполнения даты окончания полиса в регистрационной карте пациента для записи, относящейся к типу &laquo;Единый полис&raquo;.<br />
26. Внесены уточнения в реализацию отчета &laquo;Анализ движения и использования коечного фонда&raquo; (Анализ. Аналитические отчеты. Стационар)<br />
27. В сервис обмена РЕГИСЗ иЭМК2 добавлен вывод параметра IdBloodType (группа крови пациента) метода AddPatient<br />
28. Добавлен контроль заполнения поля &laquo;Переведен в стационар&raquo; при выборе значения &laquo;Переведен в другой стационар&raquo; параметра &laquo;Исход госпитализации&raquo; при регистрации выписки пациента в режиме &laquo;Стационарный монитор&raquo;.<br />
29. Внесены уточнения в вывод данных отчетов группы &laquo;форма 40&raquo; (Анализ. Скорая помощь).<br />
30. Добавлен механизм заполнения данных о дозах облучения из ПАКСа для свойств с типом &laquo;Доза облучения&raquo;.<br />
31. В режиме &laquo;Складской учет&raquo; добавлена функция учета списания бракованных наименований.<br />
32. В условия формирования отчета &laquo;Список пациентов&raquo; (Анализ. Заболеваемость) добавлен параметр &laquo;Учитывать предварительный&raquo;.<br />
33. В справочник &laquo;Жалобы&raquo; (Справочники. Медицинские) добавлена функция перемещения элементов справочника с помощью контекстного меню. Также добавлено право &lsquo;refMedComplainDelete&rsquo; &mdash; &lsquo;Право удалять записи из cправочника &laquo;Жалобы&raquo;.<br />
34. Внесены изменения в режим экспорта данных о пациентах в соответствии с новыми правилами информационного обмена ТФОМС Санкт-Петербурга для расчетной системы ЕИС.ОМС.ВМУ в части заполнения полей ILLHISTORY и PROFILE, а также дополнены правила формирования файла с доп.данными по направлениям.<br />
35. В окно поиска пациента режима &laquo;Стационарный монитор&raquo; добавлена возможность считывания полисных данных с кардридера.<br />
36. Реализован новый отчет &laquo;Таблица 2350. Медицинская помощь при выездах&raquo; (Анализ. Скорая помощь. Форма 30).<br />
37. В форму ввода ф.131 добавлена вкладка &laquo;Мед. карта&raquo;.<br />
38. В режиме &laquo;Обслуживание пациентов&raquo; на вкладке &laquo;Обращение&raquo; добавлен вывод не только количества записей в списке, но и количество пациентов.<br />
39. Реализован новый отчет &laquo;Список пациентов по ф.12&raquo; (Анализ. Диспансерное наблюдение).<br />
40. Реализована функция группового списания ЛСиИМН в режиме &laquo;Стационарный монитор&raquo; на вкладке &laquo;Присутствуют&raquo; (кнопка &laquo;Суточное списание ЛС&raquo;).<br />
41. В формах ввода при заполнении данных о КСГ добавлены проверки на заполнение и корректность даты, на заполнение КСГ, на заполнение и корректность шифра МКБ. Также добавлена нумерация строк КСГ с отображением номера в списке выбора и возможность дублирования строки КСГ.<br />
42. В режиме &laquo;Обслуживание пациентов&raquo; на вкладке &laquo;Картотека&raquo; в область значений параметра фильтра &laquo;Соц. статус&raquo; добавлен вариант &laquo;Не имеет соц.статуса&raquo;.<br />
43. Внесены изменения в механизм формирования номеров счетчиков: в запись добавлено поле для формата значения счетчика; реализован редактор с возможностью проверки введенного значения; реализована логика форматирования в соответствии с возможностями форматирования строки на языке python (<a href="https://docs.python.org/2/library/stdtypes.html?highlight=format#string-formatting">https://docs.python.org/2/library/stdtypes.html?highlight=format#string-formatting</a>). В том случае, если поле формата заполнено, то используется это поле, в противном случае значение счетчика формируется по-старому.<br />
44. Внесены уточнения в реализацию отчета &laquo;Использование контейнеров&raquo; (Анализ. Лаборатория).<br />
45. Внесены уточнения в реализацию режима экспорта реестра счета в соответствии с новыми требованиями информационного обмена ТФОМС Ростовской области.<br />
46. В отчет &laquo;Структура обращений пациентов&raquo; (Анализ. Контингент) добавлены столбцы &laquo;Повторно 4 раза (в место столбца &laquo;Повторно &gt; 3 раз&raquo;)&raquo;, &laquo;Повторно 5 раз&raquo;, &laquo;Повторно 6 раз&raquo;, &laquo;Повторно 7 раз&raquo; и &laquo;Повторно &gt; 7 раз&raquo;.<br />
47. В контекстное меню панели &laquo;График&raquo; добавлена функция &laquo;Перейти на вкладку &laquo;Обращение&raquo;&raquo;.<br />
48. Внесены уточнения в механизм вывода шаблонов печати, сопровождающих установку признака согласия или отказа пациента, из режима &laquo;Стационарный монитор&raquo;.<br />
49. Реализована возможность создания групп шаблонов печати в рамках одного контекста.<br />
50. Реализована утилита для форматно-логического контроля реестров счетов в соответствии с требованиями информационного обмена ТФОМС республики Калмыкия.<br />
51. Внесены уточнения в реализацию отчета &laquo;Взрослые&raquo; (Анализ. Заболеваемость.12 Ф. Форма 12 2016).<br />
52. Внесены уточнения в правила отображения данных о пациентах в зависимости от параметров даты для вкладки &laquo;Присутствуют&raquo; режима &laquo;Стационарный монитор&raquo;.</p>
', 1);


  
  
INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201712-04', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
