/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2017-12-12 13:16:16
-- Правки в таблицу TempInvalidDocument. Задача №0009358: ВУТ. Учет документов.
ALTER TABLE `TempInvalidDocument`
  ADD COLUMN `idx` INT(11) NOT NULL DEFAULT 0 COMMENT 'Индекс (для сортировки)'  AFTER  `deleted`,
  ADD COLUMN `prevDuplicate_id` INT(11) NULL DEFAULT NULL COMMENT 'Исходный документ для дубликата {TempInvalidDocument}'  AFTER  `last_id`,
  ADD KEY `prevDuplicate_id` (`prevDuplicate_id`),
  ADD CONSTRAINT `TempInvalidDocument_prevDuplicate` FOREIGN KEY (`prevDuplicate_id`) REFERENCES `TempInvalidDocument` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

-- В TempInvalidDocument добавляем поле 'Причина выдачи дубликата {rbTempInvalidDuplicateReason}'. Задача №0009358: ВУТ. Учет документов.
  ALTER TABLE `TempInvalidDocument`
  ADD COLUMN `duplicateReason_id` INT(11) NULL DEFAULT NULL COMMENT 'Причина выдачи дубликата {rbTempInvalidDuplicateReason}'  AFTER  `duplicate`,
  ADD KEY `duplicateReason_id` (`duplicateReason_id`),
  ADD CONSTRAINT `TempInvalidDocument_duplicateReason` FOREIGN KEY (`duplicateReason_id`) REFERENCES `rbTempInvalidDuplicateReason` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

  
-- Добавляем поле OGRN в таблицу TempInvalid. Задача №0009358: ВУТ. Учет документов.
ALTER TABLE `TempInvalid` ADD `OGRN` VARCHAR( 15 ) NOT NULL COMMENT 'ОГРН' AFTER `numberPermit` ,
ADD INDEX ( `OGRN` );
  
  
  
INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201803-10_2', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
