/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2018-04-12 13:48:44
-- Задача №0009665: председатель ВК для каждого периода нетрудоспособности.
-- Добавляем поле 'Является председателем ВК' во VIEW `vrbPersonWithSpeciality`.
CREATE OR REPLACE VIEW vrbPersonWithSpeciality AS
SELECT `Person`.`id` AS `id`, `Person`.`code` AS `code`,
	CONCAT(`Person`.`lastName`,_utf8' ', IF((`Person`.`firstName` = _utf8''),_utf8'', CONCAT(
		LEFT(`Person`.`firstName`,1),_utf8'.')), IF((`Person`.`patrName` = _utf8''),_utf8'', CONCAT(
		LEFT(`Person`.`patrName`,1),_utf8'.')), IF(ISNULL(`rbSpeciality`.`name`),_utf8'', CONCAT(_utf8', ',`rbSpeciality`.`name`))) AS `name`,
    `Person`.`speciality_id` AS `speciality_id`,
    `Person`.`org_id` AS `org_id`,
    `Person`.`orgStructure_id` AS `orgStructure_id`,
    `Person`.`chairPerson` AS `chairPerson`,
    `Person`.`retireDate` AS `retireDate`,
    `Person`.`tariffCategory_id` AS `tariffCategory_id`
FROM (`Person`
LEFT JOIN `rbSpeciality` ON((`rbSpeciality`.`id` = `Person`.`speciality_id`)))
WHERE `Person`.`deleted` = 0;

INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201804-02', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
