/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2018-03-12 12:30
-- 0008202: Мобильный интерфейс для работы врача на дому - почему-то в апах не нашла.
CREATE TABLE `HomeCallToken` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `token` VARCHAR(64) NOT NULL COMMENT 'Токен',
  `imei` VARCHAR(64) NOT NULL DEFAULT '' COMMENT 'IMEI телефона или планшета',
  `model` VARCHAR(64) NOT NULL DEFAULT '' COMMENT 'модель телефона или планшета',
  `api` VARCHAR(64) NOT NULL DEFAULT '' COMMENT 'Предполагаемая версия API',
  `person_id` INT(11) NULL DEFAULT NULL COMMENT 'Врач {Person}',
  `startDatetime` DATETIME NOT NULL COMMENT 'Время начала действия токена',
  `stopDatetime` DATETIME NULL DEFAULT NULL COMMENT 'Время окончания действия токена',
  `lastAccessDatetime` DATETIME NULL DEFAULT NULL COMMENT 'Время последнего обращения с этим токеном',
  `secretKey` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `token` (`token` ASC),
  INDEX `person_id` (`person_id` ASC))
DEFAULT CHARACTER SET = utf8
COMMENT = 'Токены для подсистемы вызовов на дом';

ALTER TABLE `Schedule_Item` 
ADD COLUMN `homeCallStatus` INT(11) NOT NULL DEFAULT '0' COMMENT '' AFTER `checked`;
  
INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201803-05', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
