/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- 2018-03-02 14:49:52
-- Добавляем поле tempInvalid_id в таблицу Event. Задача 0009578: Учет работы врачебной комиссии (ВК).
 ALTER TABLE `Event`
   ADD COLUMN `tempInvalid_id` INT( 11 ) NULL DEFAULT NULL COMMENT 'Случай ВУТ {TempInvalid}',
   ADD KEY `tempInvalid_id` (`tempInvalid_id`),
   ADD CONSTRAINT `TempInvalid_tempInvalid` FOREIGN KEY (`tempInvalid_id`) REFERENCES `TempInvalid` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;


-- 2018-03-05 12:42:54
-- Право доступ к ВК. Задача 0009578: Учет работы врачебной комиссии (ВК).
INSERT INTO `rbUserRight` (`id`, `code`, `name`) VALUES (NULL, 'regTabEditExpertMC', 'Право имеет доступ к ВК');

INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201803-10_3', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
