/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2018-03-29 15:28:09
-- Задача №0009665: председатель ВК для каждого периода нетрудоспособности.
-- Добавляем поле 'Является председателем ВК' в таблицу Person.
ALTER TABLE `Person` ADD `chairPerson` TINYINT( 1 ) NOT NULL COMMENT 'Является председателем ВК';

-- Добавляем поле 'Является председателем ВК' во VIEW `vrbPersonWithSpeciality`.
ALTER ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vrbPersonWithSpeciality` AS select `Person`.`id` AS `id`,
`Person`.`code` AS `code`,
 concat(`Person`.`lastName`,_utf8' ',if((`Person`.`firstName` = _utf8''),_utf8'',concat(left(`Person`.`firstName`,1),_utf8'.')),if((`Person`.`patrName` = _utf8''),_utf8'',concat(left(`Person`.`patrName`,1),_utf8'.')),if(isnull(`rbSpeciality`.`name`),_utf8'',concat(_utf8', ',`rbSpeciality`.`name`))) AS `name`,
`Person`.`speciality_id` AS `speciality_id`,
`Person`.`org_id` AS `org_id`,
`Person`.`orgStructure_id` AS `orgStructure_id`,
`Person`.`chairPerson` AS `chairPerson`,
`Person`.`retireDate` AS `retireDate` from (`Person` left join `rbSpeciality` on((`rbSpeciality`.`id` = `Person`.`speciality_id`)))

WHERE `Person`.`deleted` = 0;

-- Добавляем поле 'Является председателем ВК' во VIEW `vrbPersonWithSpecialityAndOrgStr`.
ALTER ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vrbPersonWithSpecialityAndOrgStr` AS select `Person`.`id` AS `id`,
`Person`.`code` AS `code`,
 concat(`Person`.`lastName`,_utf8' ',if((`Person`.`firstName` = _utf8''),_utf8'',concat(left(`Person`.`firstName`,1),_utf8'.')),if((`Person`.`patrName` = _utf8''),_utf8'',concat(left(`Person`.`patrName`,1),_utf8'.')),if(isnull(`rbSpeciality`.`name`),_utf8'',concat(_utf8', ',`rbSpeciality`.`name`)),if(isnull(`OrgStructure`.`code`),_utf8'',concat(_utf8', ',`OrgStructure`.`code`))) AS `name`,
`Person`.`speciality_id` AS `speciality_id`,
`Person`.`org_id` AS `org_id`,
`Person`.`orgStructure_id` AS `orgStructure_id`,
`Person`.`chairPerson` AS `chairPerson`,
`Person`.`retireDate` AS `retireDate` from ((`Person` left join `rbSpeciality` on((`rbSpeciality`.`id` = `Person`.`speciality_id`))) left join `OrgStructure` on((`OrgStructure`.`id` = `Person`.`orgStructure_id`)));

-- Добавляем поле 'Председатель ВК' в таблицу TempInvalid_Period.
 ALTER TABLE `TempInvalid_Period`
   ADD COLUMN `chairPerson_id` INT( 11 ) NULL DEFAULT NULL COMMENT 'Председатель ВК {Person}',
   ADD KEY `chairPerson_id` (`chairPerson_id`),
   ADD CONSTRAINT `TempInvalid_Period_chairPerson` FOREIGN KEY (`chairPerson_id`) REFERENCES `Person` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

-- Добавляем поле 'Председатель ВК' в таблицу TempInvalidDocument.
 ALTER TABLE `TempInvalidDocument`
   ADD COLUMN `chairPerson_id` INT( 11 ) NULL DEFAULT NULL COMMENT 'Председатель ВК {Person}',
   ADD KEY `chairPerson_id` (`chairPerson_id`),
   ADD CONSTRAINT `TempInvalidDocument_chairPerson` FOREIGN KEY (`chairPerson_id`) REFERENCES `Person` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201803-17', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
