/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2018-03-29 2018-03-29 18:07:35
-- 0009199: Сервис ОДЛИ. Переход на новую версию 1.0.2 (DSTU2) + Микробиология

INSERT INTO rbAccountingSystem (`code`, `name`, `urn`, `version`, `domain`, `createDatetime`, `modifyDatetime`)
SELECT  'mz.post',
        'Должности работников организаций здравоохранения',
        'urn:oid:1.2.643.5.1.13.13.11.1002',
        '1',
        'rbPost',
        NOW(),
        NOW()
FROM DUAL
WHERE NOT EXISTS(SELECT id
                 FROM rbAccountingSystem
                 WHERE urn='urn:oid:1.2.643.5.1.13.13.11.1002'
                );

INSERT INTO rbAccountingSystem (`code`, `name`, `urn`, `version`, `domain`, `createDatetime`, `modifyDatetime`)
SELECT  'mz.speciality',
        'Номенклатура специальностей медработников с высшим и средним образованием',
        'urn:oid:1.2.643.5.1.13.13.11.1066',
        '1',
        'rbSpeciality',
        NOW(),
        NOW()
FROM DUAL
WHERE NOT EXISTS(SELECT id
                 FROM rbAccountingSystem
                 WHERE urn='urn:oid:1.2.643.5.1.13.13.11.1066'
                );

INSERT INTO rbAccountingSystem (`code`, `name`, `urn`, `version`, `domain`, `createDatetime`, `modifyDatetime`)
SELECT  'mz.specimenType',
        'ФСЛИ.Справочник лабораторных образцов',
        'urn:oid:1.2.643.5.1.13.13.11.1081',
        '1',
        'rbSpecimenType',
        NOW(),
        NOW()
FROM DUAL
WHERE NOT EXISTS(SELECT id
                 FROM rbAccountingSystem
                 WHERE urn='urn:oid:1.2.643.5.1.13.13.11.1081'
                );


INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201803-19', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
