/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2018-03-30 15:50:28
-- 0009666: ИЭМК2 Мурманск поле IdServiceType
INSERT INTO rbAccountingSystem (`code`, `name`, `urn`, `version`, `domain`, `createDatetime`, `modifyDatetime`)
SELECT  'mz.service',
        'Номенклатура медицинских услуг',
        'urn:oid:1.2.643.5.1.13.2.1.1.473',
        '1',
        'rbService',
        NOW(),
        NOW()
FROM DUAL
WHERE NOT EXISTS(SELECT id
                 FROM rbAccountingSystem
                 WHERE urn='urn:oid:1.2.643.5.1.13.2.1.1.473'
                );

INSERT INTO rbService_Identification (master_id, system_id,  value, createDatetime, modifyDatetime)
SELECT  rbService.id,
        rbAccountingSystem.id,
        REPLACE(
                REPLACE(
                        REPLACE(
                                REPLACE(
                                        rbService.code,
                                        'А', -- русская А
                                        'A'  -- латинская A
                                       ),
                                'В', -- русская В
                                'B'  -- латинская B
                               ),
                        'Д',
                        'D'
                       ),
                'Ф',
                'F'
               ),
       NOW(),
       NOW()
FROM rbService, rbAccountingSystem
WHERE rbService.nomenclatureLegacy
AND   rbService.code RLIKE '.[0-9]+(\\.[0-9]+)+[*]?'
AND   rbAccountingSystem.urn = 'urn:oid:1.2.643.5.1.13.2.1.1.473';

INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201803-21', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
